org.apache.mina.transport.socket

## Interface DatagramSessionConfig

- All Superinterfaces:
    IoSessionConfig
  All Known Implementing Classes:
    AbstractDatagramSessionConfig, DefaultDatagramSessionConfig

      public interface DatagramSessionConfig
      extends IoSessionConfig

  An `IoSessionConfig` for datagram transport type.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReceiveBufferSize()`
    `int` | `getSendBufferSize()`
    `int` | `getTrafficClass()`
    `boolean` | `isBroadcast()`
    `boolean` | `isCloseOnPortUnreachable()` If method returns true, it means session should be closed when a `PortUnreachableException` occurs.
    `boolean` | `isReuseAddress()`
    `void` | `setBroadcast(boolean broadcast)`
    `void` | `setCloseOnPortUnreachable(boolean closeOnPortUnreachable)` Sets if the session should be closed if an `PortUnreachableException` occurs.
    `void` | `setReceiveBufferSize(int receiveBufferSize)`
    `void` | `setReuseAddress(boolean reuseAddress)`
    `void` | `setSendBufferSize(int sendBufferSize)`
    `void` | `setTrafficClass(int trafficClass)`

    - ### Methods inherited from interface org.apache.mina.core.session.IoSessionConfig

      `getBothIdleTime, getBothIdleTimeInMillis, getIdleTime, getIdleTimeInMillis, getMaxReadBufferSize, getMinReadBufferSize, getReadBufferSize, getReaderIdleTime, getReaderIdleTimeInMillis, getThroughputCalculationInterval, getThroughputCalculationIntervalInMillis, getWriterIdleTime, getWriterIdleTimeInMillis, getWriteTimeout, getWriteTimeoutInMillis, isUseReadOperation, setAll, setBothIdleTime, setIdleTime, setMaxReadBufferSize, setMinReadBufferSize, setReadBufferSize, setReaderIdleTime, setThroughputCalculationInterval, setUseReadOperation, setWriterIdleTime, setWriteTimeout`

- - ### Method Detail

    - #### isBroadcast

          boolean isBroadcast()

      See Also:
        `DatagramSocket.getBroadcast()`

    - #### setBroadcast

          void setBroadcast(boolean broadcast)

      See Also:
        `DatagramSocket.setBroadcast(boolean)`

    - #### isReuseAddress

          boolean isReuseAddress()

      See Also:
        `DatagramSocket.getReuseAddress()`

    - #### setReuseAddress

          void setReuseAddress(boolean reuseAddress)

      See Also:
        `DatagramSocket.setReuseAddress(boolean)`

    - #### getReceiveBufferSize

          int getReceiveBufferSize()

      See Also:
        `DatagramSocket.getReceiveBufferSize()`

    - #### setReceiveBufferSize

          void setReceiveBufferSize(int receiveBufferSize)

      See Also:
        `DatagramSocket.setReceiveBufferSize(int)`

    - #### getSendBufferSize

          int getSendBufferSize()

      See Also:
        `DatagramSocket.getSendBufferSize()`

    - #### setSendBufferSize

          void setSendBufferSize(int sendBufferSize)

      See Also:
        `DatagramSocket.setSendBufferSize(int)`

    - #### getTrafficClass

          int getTrafficClass()

      See Also:
        `DatagramSocket.getTrafficClass()`

    - #### setTrafficClass

          void setTrafficClass(int trafficClass)

      See Also:
        `DatagramSocket.setTrafficClass(int)`

    - #### isCloseOnPortUnreachable

          boolean isCloseOnPortUnreachable()

      If method returns true, it means session should be closed when a `PortUnreachableException` occurs.

    - #### setCloseOnPortUnreachable

          void setCloseOnPortUnreachable(boolean closeOnPortUnreachable)

      Sets if the session should be closed if an `PortUnreachableException` occurs.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.